/* manuscript card styles */
/* https://css-tricks.com/examples/GradientBorder */
#articlesCount {
    font-weight: bold;
}
.bottom-to-top {
    border-left-width: 5px !important;
    border-left-style: solid !important;
    border-radius: 4px;
    -webkit-border-left-image: -webkit-gradient(linear, 0 100%, 0 0, from(#ff4e50), to(#f9ae06)) 1 100% !important;
    -webkit-border-left-image: -webkit-linear-gradient(bottom, #ff4e50, #f9ae06) 1 100% !important;
    -moz-border-left-image: -moz-linear-gradient(bottom, #ff4e50, #f9ae06) 1 100% !important;
    -o-border-left-image: -o-linear-gradient(bottom, #ff4e50, #f9ae06) 1 100% !important;
    border-image: linear-gradient(to top, #ff4e50, #f9ae06) 1 100% !important;
}
#manuscriptContent, #issueContent, #autoAssignContent{
    overflow: hidden;

    #manuscriptsData, #rightPanelContainer {
        background-color: #f5f5f5;
        font-size: 0.85rem;
        overflow-y: auto;
        overflow-x: hidden;
        /* https://stackoverflow.com/questions/45154788/sluggish-scroll-behaviour-of-largeish-html-table-in-google-chrome */
        transform: translate3d(0, 0, 0);
        ul{
            padding: 10px 10px 0px 10px;
			.msCard {
				transition: all .1s ease-in;
				transform: scale(1,1);
				background: white;
				border: 1px solid #dedcdcbf;
				border-radius: 2px;
				box-shadow: 0 2px 1px rgba(170, 170, 170, 0.25);
				display: block;
				margin-bottom: 10px;
				padding: 10px 10px 10px 10px;
				&:last-child {
					padding-bottom: 20px;
				}
				span[title="FastTrack"] .fa-flag {
					color: #3f00ff;
				}
				.msDOI:before{
					font-weight: 600;
					flex-wrap: nowrap !important;
					margin-bottom: 5px;
					color: gray;
					margin-left: 15px;
					display: inline-block !important;
					content: "MS\00a0ID:\00a0";
				 }
				.msChNo:before{
					flex-wrap: nowrap !important;
					font-weight: 600;
					margin-bottom: 5px;
					color: gray;
					margin-left: 15px;
					display: inline-block !important;
					content: "Chapter:\00a0";
				 }
				 .msDOI, .msPubID, .msChNo{
					font-weight: 600;
					flex-wrap: nowrap !important;	
				 }
				.msPubID:before{
					font-weight: 600;
					margin-left: 15px;
					margin-bottom: 5px;
					color: gray;
					display: inline-block !important;
					content: "DOI:\00a0";
				}
				.msType{
					display: block;
					margin-bottom: 5px;
				}
				.msStageName{
					display: block;
				}
				.msTitle{
					display: block !important;
					margin-bottom: 5px;
					overflow: hidden;
					text-overflow: ellipsis;
					white-space: nowrap;
					a{
						color: inherit;
						font-weight: 600;
					}
					a:hover{
						color: #20a8d8;
					cursor: pointer;
						font-weight: 400;
						text-decoration: none;
					}
				}
				.msAuthors{
					display: block !important;
					margin-bottom: 5px;
				}
				.msAuthors:empty:before{
					content: '\A0';
				}
				.msAuthor{
					display: inline !important;
					.space {
						display: inline !important;
					}
					.space:before{
						content: " ";
					}
				}
				.msAuthor + .msAuthor:before {
					content: ", "
				}
				.msAuthor:nth-child(3):after{
					content: ", \2026"
				}
				.msAuthor:nth-of-type(1n+4) {
					display: none !important;
				}
				.actionBtns{
					// border: 1px solid #dad2d2;
					border-radius: 4px;
					font-family: Helvetica, Arial, sans-serif;
					font-size: 14px;
					span{
						display: block;
						float: left;
						padding: 5px 5px 5px 5px;
						height: 24px;
						width: 24px;
						text-align: center;
					}
					span+span{
						// border-left: 1px solid #dad2d2;
						padding-left: 5px;
					}
					span.moreActions{
						font-size: 16px;
						padding-top: 0px;
						padding-left: 8px;
					}
					span:hover:not(.viewDiableButtons){
						background: #523d8c !important;
						color: white;
						cursor: pointer;
					}
					.msStageDetails{
						display: inline-block !important;
					}
				}
				.msCELevel{
					margin-bottom: 5px;
					&:before{
						content: "CE Level: ";
						color: gray;
					}
					&:after{
						content: "; ";
					}
				}
				.msLicenseType{
					margin-bottom: 5px;
					&:before{
						content: "License Type: ";
						color: gray;
					}
				}
				.kriyaVersion{
					margin-bottom: 5px;
					&:before{
						content: "kriya:\00a0";
						color: gray;
					}
				}
				.msPAWStageName:before{
					color: gray;
					content: "Cust.\00a0Stage:\00a0";
				}
				.msStageDue:before{
					color: gray;
					content: "Due:\00a0";
				}
				.volume:before{
					color: gray;
					content: "Volume:\00a0";
				}
				.issue:before{
					color: gray;
					content: "Issue:\00a0";
				}
				.msStageOwner:before{
					color: gray;
					content: "Assigned\00a0to:\00a0";
				}
				.msAssignToME{
					color: #0f9cce;
					margin-left: 9px;
    				font-size: 14px;
    				cursor: pointer;
				}
				.msAssignToME:hover{
					text-decoration: underline;
				}
				.msStartTime:before {
					color: gray;
					content: "Start Date: ";
				}
				.msAccDate:before{
					color: gray;
					content: "Accepted: ";
				}
				.msCustomer:before{
					color: gray;
					content: "Customer: ";
				}
				.msProject:before{
					color: gray;
					content: "; Project: ";
				}
				.msDaysInProd{
					font-weight: 700;
					&:before{
						color: gray;
						content: "; Days in Prod.: ";
						font-weight: 400;
					}
				}
				.highlightSort {
					color: #e87373;
				}
				.badge:after{
					content: attr(data-unreplied);
					position: relative;
					background: #F44336;
					height: 13px;
					top: -22px;
					left: 2px;
					max-width: 20px;
					padding: 2px 5px;
					text-align: center;
					color: #fff;
					border-radius: 9px;
				  }
				  .badge:empty {
					display: block;
				  }
				  &:last-of-type:not(:first-of-type) .moreActionsBtns{
					top: unset;
					bottom: 30px;
				  }
				  span.msLap{
					position: absolute;
					background: #3c485f;
					height: 24px;
					// left: 77px;
					right: 5px;
					display: inline-block;
					padding: 0 10px 0 0;
					margin: auto;
					// width: auto;
					color: #fff;
					font-size: 16px;
					text-align: center;
					&:after {
						content: ' ';
						position: absolute;
						border: 12px solid #3c485f;
						border-left-color: transparent;
						top: 0;
						left: -24px;
						border-left-width: 12px;
					}
				  }
			}
			.moreActionsBtns {
				background: #f5f5f5;
				box-shadow: 0 4px 4px rgb(162, 162, 162);
				padding: 0px;
				position: absolute;
				right: 15px;
				top: 24px;
				// width: 50%;
				z-index: 99;
				min-width: 6rem;
				.moreActionsBtnsContainer {
					width: 100%;
					p{
						cursor: pointer;
						padding: 5px 15px;
						margin: 0px !important;
						&:hover{
							background-color: rgba(128, 128, 128, 0.3);
						}
						i{
							padding: 3px;
						}
					}
					p + p {
						border-top: 1px solid rgba(128, 128, 128, 0.4);
					}
				}
			}
			 li[overduestatus="true"] {
				border-left: 5px solid;
				border-left-color: red;
			}
			li[data-fast-track="true"] {
				border-right: 5px solid #3f00ff !important;
			}
			li[data-class="Hold Fasttrack"]{
				border-color: brown !important;
			}
			li[data-class="Hold"]{
				background-color: #908c8c24;
				border-left: 5px solid #0000006e !important;
			}
			li:hover{
				box-shadow: 0px 0px 15px #000000;
				z-index: 2;
				transition: all .1s ease-in;
				transform: scale(1,1);
			}
			.highlightCard{
				box-shadow: 0px 0px 15px #000000 !important;
				z-index: 2;
				transition: all .1s ease-in;
				transform: scale(1,1);
			}
			.copyeditordisable {
				pointer-events: none;
				opacity: 0.6;
			}
        }
    }
}
#autoAssignContent{
#manuscriptsData, #rightPanelContainer{
        ul{
            padding: 10px 10px 0px 10px;
				.msDOI:before{
					font-weight: 600;
					flex-wrap: nowrap !important;
					margin-bottom: 5px;
					color: gray;
					margin-left: 15px;
					display: inline-block !important;
					content: ""!important;
				 }
	}
}
}


